Subject: bug#56487: xgselect race condition leading to abort when USE_GTK not defined

From: Tom Gillespie <[email-masked]>
Date: Sun, 23 Feb 2025 00:09:01 -0800

> Ping.  Any news here?

I can confirm that the issue is still present in 30.0.93
and that the original patch still works against 30.0.93.

Unfortunately I have not had a chance to dig deeper
or to split out a smaller patch for release_select_lock.

Looking at the original patch again I assume the
portion that would be useful is the part dealing with
__atomic_sub_fetch and threads_holding_glib_lock?

I will have to refresh my memory about the expected
behavior for the release_select_lock changes because
I don't think I had a test case that was able to differentiate
that change independent of the various GTK related changes.

Best,
Tom